%global major 6
%define libname %mklibname ndctl %major
%define devname %mklibname -d ndctl

%global daxmajor 1
%define libdaxname %mklibname daxctl %daxmajor
%define devdaxname %mklibname -d daxctl

Name:		ndctl
Version:	68
Release:	%mkrel 2
Summary:	Manage "libnvdimm" subsystem devices (Non-volatile Memory)
License:	GPLv2
Group:		System/Libraries
Url:		https://github.com/pmem/ndctl
Source0:	https://github.com/pmem/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Patch0:     ndctl-68-include-sysmacros.patch

Requires:	%libname = %{version}-%{release}
Requires:	%libdaxname = %{version}-%{release}

BuildRequires:	autoconf
BuildRequires:	xmlto
BuildRequires:	asciidoc
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libkmod)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	keyutils-devel

%description
Utility library for managing the "libnvdimm" subsystem.  The "libnvdimm"
subsystem defines a kernel device model and control message interface for
platform NVDIMM resources like those defined by the ACPI 6+ NFIT (NVDIMM
Firmware Interface Table).


%package -n %devname
Summary:	Development files for libndctl
License:	LGPLv2
Group:		Development/Libraries
Requires:	%libname = %{version}-%{release}
Provides:	ndctl-devel = %{version}-%{release}
Provides:	daxctl-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n daxctl
Summary:	Manage Device-DAX instances
License:	GPLv2
Group:		System/Libraries
Requires:	%libdaxname = %{version}-%{release}

%description -n daxctl
The daxctl utility provides enumeration and provisioning commands for
the Linux kernel Device-DAX facility. This facility enables DAX mappings
of performance / feature differentiated memory without need of a
filesystem.

%package -n %libname
Summary:	Management library for "libnvdimm" subsystem devices (Non-volatile Memory)
License:	LGPLv2
Group:		System/Libraries
Provides:	%libdaxname = %{version}-%{release}


%description -n %libname
Libraries for %{name}.

%prep
%setup -q ndctl-%{version}
%apply_patches

%build
echo %{version} > version
./autogen.sh
%configure2_5x --disable-static --disable-silent-rules --disable-asciidoctor --without-systemd
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%define bashcompdir %(pkg-config --variable=completionsdir bash-completion)

%files
%{_bindir}/ndctl
%{_mandir}/man1/ndctl*
%{bashcompdir}/ndctl
%{_sysconfdir}/ndctl/keys/keys.readme
%{_sysconfdir}/modprobe.d/nvdimm-security.conf

%config(noreplace) %{_sysconfdir}/ndctl/monitor.conf

%files -n daxctl
%{_bindir}/daxctl
%{_mandir}/man1/daxctl*
%{_datadir}/daxctl/daxctl.conf

%files -n %libname
%{_libdir}/libndctl.so.%{major}*
%{_libdir}/libdaxctl.so.%{daxmajor}*

%files -n %devname
%{_includedir}/ndctl/
%{_libdir}/libndctl.so
%{_libdir}/pkgconfig/libndctl.pc
%{_includedir}/daxctl/
%{_libdir}/libdaxctl.so
%{_libdir}/pkgconfig/libdaxctl.pc


%changelog
* Thu Jun 23 2022 tex - 68-2pclos2022
- fix spec files

* Sat Jun 01 2022 yodelu 68-1pclos2022
- Import
